org.eclipse.debug.core.sourcelookup.containers

## Class WorkspaceSourceContainer

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
    - - org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer
      - - org.eclipse.debug.core.sourcelookup.containers.WorkspaceSourceContainer

All Implemented Interfaces:
  IAdaptable, ISourceContainer

    public class WorkspaceSourceContainer
    extends CompositeSourceContainer

All projects in the workspace.

Clients may instantiate this class.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

Fields
`static String` `TYPE_ID` Unique identifier for the workspace source container type (value `org.eclipse.debug.core.containerType.workspace`).

### Fields inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`WorkspaceSourceContainer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ISourceContainer[]` `createSourceContainers()` Creates the source containers in this composite container.
`boolean` `equals(Object obj)`
`String` `getName()` The name of this source container that can be used for presentation purposes.
`ISourceContainerType` `getType()` Returns this container's type.
`int` `hashCode()`

### Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer

`dispose, findSourceElements, findSourceElements, getSourceContainers, isComposite`

### Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer

`abort, getDirector, getSourceContainerType, init, isFindDuplicates, warn`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Field Detail

#### TYPE_ID

    public static final String TYPE_ID

Unique identifier for the workspace source container type (value `org.eclipse.debug.core.containerType.workspace`).

### Constructor Detail

#### WorkspaceSourceContainer

    public WorkspaceSourceContainer()

### Method Detail

#### getName

    public String getName()

Description copied from interface: `ISourceContainer`
The name of this source container that can be used for presentation purposes. For example, the name of a project.

Returns:
  the name of this source container

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### getType

    public ISourceContainerType getType()

Description copied from interface: `ISourceContainer`
Returns this container's type.

Returns:
  this container's type

#### createSourceContainers

    protected ISourceContainer[] createSourceContainers()
                                                 throws CoreException

Description copied from class: `CompositeSourceContainer`
Creates the source containers in this composite container. Subclasses should override this methods.

Specified by:
  `createSourceContainers` in class `CompositeSourceContainer`
Returns:
  the array of `ISourceContainer`s
Throws:
  `CoreException` - if unable to create the containers